<html charset="UTF-8">

<style>
  * {
    box-sizing: border-box;
    scrollbar-width: thin;
    scrollbar-color: #e3e3e3 transparent;
  }

  ::-webkit-scrollbar {
    width: 10px;
  }

  ::-webkit-scrollbar-thumb {
    background: rgb(139, 139, 139);
    border-radius: 20px;
  }

  ::-webkit-scrollbar-track {
    background: #ddd;
  }

  body {
    font-family: 'Segoe UI', 'Tahoma', 'Geneva', 'Verdana', 'sans-serif';
    font-size: 15px;
    width: 380px;
    padding: 5px 25px 5px 5px;
    overflow-x: hidden;
  }

  fieldset {
    margin: 5px 0 10px 0;
    padding-bottom: 15px;
    border: 1px solid rgb(238, 238, 238);
    border-radius: 5px;
  }

  fieldset.features {
    border: none;
  }

  fieldset.active {
    border-color: rgb(231, 231, 231);
  }

  fieldset.active legend {
    color: rgb(28, 112, 221);
  }

  legend {
    background-color: #fff;
    color: rgb(124, 124, 124);
    padding: 3px 6px;
    border-radius: 4px;
    font-weight: 600;
  }

  input[type=text],
  input[type=number] {
    margin: 1px 7px 1px 10px;
    padding: 4px;
    border: 1px solid #dbdbdb;
    border-radius: 4px;
  }

  input[type=checkbox] {
    margin: 2px 5px 2px 10px;
  }

  input[type=number] {
    width: 50px;
  }

  input[type=text] {
    width: 100px;
  }

  input[type=text].longTextInput {
    width: 280px;
  }

  button {
    background: white !important;
  }

  button.default {
    border: 1px solid grey;
    color: black;
  }

  button.success {
    border: 1px solid #249124;
    color: #249124;
  }

  button.changed {
    border: 1px solid orange;
    color: orange;
  }

  .input-group {
    padding-top: 2px;
  }

  #button-submit {
    float: right;
    font-size: 1.1em;
    padding: 5px 15px;
    border-radius: 5px;
  }

  .bold-labels label {
    font-weight: bold;
  }

</style>

<body>
  <div class="container">
    <form>
      <fieldset class="features active">
        <button type="submit" id="button-submit" class="default">Save</button>
        <legend>Features</legend>

        <input type="checkbox" id="checkbox-feature-ticketing">
        <label for="checkbox-feature-ticketing">Show ticket button</label>
        <br>

        <input type="checkbox" id="checkbox-feature-authors">
        <label for="checkbox-feature-authors">Highlight authors</label>
        <br>

        <input type="checkbox" id="checkbox-feature-coloring">
        <label for="checkbox-feature-coloring">Colorize merge requests</label>
        <br>

        <input type="checkbox" id="checkbox-feature-tooltip">
        <label for="checkbox-feature-tooltip">Show tooltip on hover</label>
      </fieldset>

      <fieldset class="feature-ticketing">
        <legend>Ticket link</legend>

        <input type="text" id="ticketing-input" class="longTextInput"
          placeholder="https://your-jira.atlassian.net/browse/" maxlength="60">
      </fieldset>

      <fieldset class="feature-authors">
        <legend>Teammates highlight</legend>

        <input type="text" id="teammates-highlight-input" class="longTextInput"
          placeholder="Your Teammates, Comma Separated" maxlength="150">
      </fieldset>

      <fieldset class="feature-coloring bold-labels">
        <legend>Coloring</legend>

        <div class="input-group colored-input">
          <input type="text" id="color-default" placeholder="inherit">
          <label for="color-default">default</label>
        </div>

        <div class="input-group colored-input">
          <input type="text" id="color-in-progress" placeholder="#d98c00">
          <label for="color-in-progress">in progress</label>
        </div>

        <div class="input-group colored-input">
          <input type="text" id="color-ready" placeholder="#2684ff">
          <label for="color-ready">ready to be merged</label>
        </div>

        <div class="input-group colored-input">
          <input type="text" id="color-failed" placeholder="#b34d60">
          <label for="color-failed">has thumbdown</label>
        </div>
      </fieldset>

      <fieldset class="feature-thumbs-requirements">
        <legend>Required thumbsups</legend>

        <div class="input-group">
          <input type="number" id="approval-needed-default-input" placeholder="2" min="0" max="10">
          <label for="approval-needed-default-input">default</label>
        </div>

        <div class="input-group">
          <input type="number" id="approval-needed-bugfix-input" placeholder="1" min="0" max="10">
          <label for="approval-needed-bugfix-input">bugfix</label>
          <br>
        </div>

        <div class="input-group">
          <input type="number" id="approval-needed-sprintbug-input" placeholder="1" min="0" max="10">
          <label for="approval-needed-sprintbug-input">sprintbug</label>
        </div>
      </fieldset>
    </form>
  </div>

  <script src="options.js"></script>
</body>

</html>
